<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the controller to call when that URI is requested.
|
*/

Route::get('/', 'WelcomeController@index');

Route::get('home', 'HomeController@index');

Route::controllers([
	'auth' => 'Auth\AuthController',
	'password' => 'Auth\PasswordController',
]);

//Items Rotes
Route::get('item','ItemController@create');
Route::get('allitem','ItemController@index');
Route::post('save-item','ItemController@store');
Route::get('additemimages_{id}','ItemController@addItemImagesToColors');
Route::post('dropzone-upload','ItemController@uploadImages');

//Item Size
Route::get('itemsizes','ItemController@itemSizes');
Route::get('itemsizes','ItemSizeController@index');
Route::post('saveitemsizes','ItemSizeController@store');

//Item Colors
Route::get('itemcolors','ItemColorController@index');
Route::post("save-item-color","ItemColorController@store");

//Item Category
Route::get('itemcategory','ItemCategoryController@index');
Route::post('save-item-category','ItemCategoryController@store');

//Web Site links
Route::get('shop','ProductController@loadAllProduct');
Route::get('product-page_{id}','ProductController@showSingleProductDetails');
Route::get('checkout','CartController@index');

//Cart
Route::post('add_to_cart','CartController@add_item_to_cart');


